package com.nemo.vidmate.download.service;
import com.nemo.vidmate.download.VideoTask;
import com.nemo.vidmate.download.bt.core.stateparcel.TorrentStateParcel;

interface IDownloadCallback 
{
	void onTaskUpdate(in VideoTask vTask);
	void onTaskSync(in List<VideoTask> downloadingList,in List<VideoTask> doneList);
	void onTorrentCountChanged();
	void onTorrentUpdate(in TorrentStateParcel state);
	void onTorrentAdd(in TorrentStateParcel state);
	void onTorrentRemove(in TorrentStateParcel state);
}

